Subject: bug#6037: 24.0.50; menu-bar-mode function doesn't toggle

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2011 21:37:51 +0200

Joseph Brenner <[email-masked]> writes:

> The menu-bar-mode function is not working as a toggle.
> Running this will turn on the menu bar, but running it again
> will not turn it off:
>
>   (menu-bar-mode)
>
> This does work to turn it off:
>   (menu-bar-mode -1)
>
> This turns it on, as documented:
>   (menu-bar-mode 1)
>
> Note that running scroll-bar-mode repeatedly does work as a toggle, as
> expected for menu-bar-mode:
>
>   (scroll-bar-mode)
>
> I used to use this code, and it *did* work as a toggle (possibly in error):
>
>   (menu-bar-mode nil)
>
> I've verified this bug with when invoked with -Q.

This seems to be intended behaviour and isn't a bug, so I'm closing this
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/